#include "maindlg.h"
#include "includes.h"
#include <QApplication>
#include <QLocale>
#include <QTranslator>
#include<QFont>

//软件版本
// #define MAIN_SOFT_TYPE_DEV 1//开发版
// #define MAIN_SOFT_TYPE_PRO 2//生产版
quint8 gMain_bySoftType = MAIN_SOFT_TYPE_DEV;

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);


    //设置工程字体大小
    QFont f(QString::fromLocal8Bit("仿宋"), 11);
    a.setFont(f);

    QTranslator translator;
    const QStringList uiLanguages = QLocale::system().uiLanguages();
    for (const QString &locale : uiLanguages) {
        const QString baseName = "gui8000_" + QLocale(locale).name();
        if (translator.load(":/i18n/" + baseName)) {
            a.installTranslator(&translator);
            break;
        }
    }
    MainDlg w;
    w.show();

    //修改文档标题
    QString strTitle = "";
    if(gMain_bySoftType == MAIN_SOFT_TYPE_DEV){
        strTitle.append(MAIN_SOFT_NAME);
        strTitle.append(MAIN_SOFT_MODE);
        strTitle.append(" DV");//开发版
        strTitle.append(MAIN_SOFT_VERSION);
    }else{
        strTitle.append(MAIN_SOFT_NAME);
        strTitle.append(MAIN_SOFT_MODE);
        strTitle.append(" PV");//生产版
        strTitle.append(MAIN_SOFT_VERSION);

    }
    w.setWindowTitle(strTitle);

    return a.exec();
}
