#ifndef OAMBASEPARAM_H
#define OAMBASEPARAM_H

#include <QDialog>
#include "pspublic.h"
#include "includes.h"

#define BASE_PAYLOAD_LEN 128

#define ORDER_DEVICE_TYPE 0x0001          // 设备类型
#define ORDER_DEVICE_SERIAL_NO 0x0002     // 生产序列号
#define ORDER_DEVICE_MODEL 0x0003         // 设备型号
#define ORDER_DEVICE_MCU_VERSION 0x0004   // 软件版本
#define ORDER_DEVICE_PROJECT_ID 0x0005    // 设备归属项目ID(生产时内置设备中，不可修改)
#define ORDER_DEVICE_BLE_BTS_NAME 0x0006  // 蓝牙基站名称
#define ORDER_DEVICE_WIFI_BTS_NAME 0x0007 // wifi基站名称


//基本参数
#pragma pack(push)
#pragma pack(1)
typedef struct
{
    quint8 byDeviceType;//设备类型
    QString strGenNo;//生产序列号
    QString strDeviceModel;//设备型号
    QString strSoftVer;//软件版本
    QString bleBtsName;//蓝牙基站名称
    QString wifiBtsName;//wifi基站名称
}OAM_BASE_T;

class MainDlg;
namespace Ui {
class OamBaseParam;
}

class OamBaseParam : public QDialog
{
    Q_OBJECT

public:
    explicit OamBaseParam(QWidget *parent = nullptr);
    ~OamBaseParam();
    void showBaseParam(LTV_T *pstData);
    void updateUi();

private:
    Ui::OamBaseParam *ui;
    MainDlg *m_pMainDlg;
    OAM_BASE_T m_stOamBase;
    int m_dwDeviceType;

    void init();
    void initUi();
    void configSignalSlot();

    void selectAllItem();
    void selectAllNoItem();
    void clearAllItem();
    void switchBtnFlag(bool byFlag);

    quint8 sendDataToUart();
    void queryBaseParam();
    void configBaseParam();
    void importBleName();

    void uploadData();
signals:
    void SignalSendQueryMsg(quint8 *pbyData, quint16 wLen);
    void SignalSendConfigMsg(quint8 *pbyData, quint16 wLen,quint16 wCmd);
    void SignalUploadBtsBaseParamUpdate(QString strApi, QJsonObject jsonObject);
};
#pragma pack(pop)
#endif // OAMBASEPARAM_H
