#ifndef OAMBTSPARAM_H
#define OAMBTSPARAM_H

#include <QDialog>
#include "pspublic.h"
#include "includes.h"

#define ORDER_BTS_ID 0x0601         // 基站ID，32bit
#define ORDER_BTS_CARRIER_ID 0x0602 // 载波ID（1，2，3，4，5，6，7，8，9）
#define ORDER_BTS_TIMESLOT 0x0603   // 信号发送时隙（1，2，3，4）
#define ORDER_BTS_LOCATION_TYPE 0x0604 // 定位类型
#define ORDER_BTS_TWO_BTS_NUM 0x0605   // 两基站定位数量
#define ORDER_BTS_TWO_BTS_LIST 0x0606  // 两基站定位基站列表，以英文逗号分割

class MainDlg;
namespace Ui {
class OamBtsParam;
}

class OamBtsParam : public QDialog
{
    Q_OBJECT

public:
    explicit OamBtsParam(QWidget *parent = nullptr);
    ~OamBtsParam();
    void showParam(LTV_T *pstData);
    quint32 GetBtsId();
    void updateUi();

private:
    Ui::OamBtsParam *ui;
    MainDlg *m_pMainDlg;
    quint32 m_dwBtsId;//基站ID
    int m_dwDeviceType;//设备类型，0：声波基站，1：同步基站，2：同步中继

    void initUi();
    void selectAllItem();
    void selectAllNoItem();
    void clearAllItem();
    void switchBtnFlag(bool byFlag);

    void queryParam();
    void configParam();
    void uploadBtsBaseParamAdd();
signals:
    void SignalSendQueryMsg(quint8 *pbyData, quint16 wLen);
    void SignalSendConfigMsg(quint8 *pbyData, quint16 wLen,quint16 wCmd);
    void SignalUploadBtsBaseParamAdd(QString strApi, QJsonObject jsonObject);
};

#endif // OAMBTSPARAM_H
