#ifndef OAMCONFIGPARAM_H
#define OAMCONFIGPARAM_H

#include <QDialog>
#include "pspublic.h"
#include "includes.h"

#pragma pack(push)
#pragma pack(1)

//配置参数
#define ORDER_CONFIG_DAC_SWITCH 0x0301 // DAC开关(对应目前网管的功放开关3)
#define ORDER_CONFIG_DAC_GAIN 0x0302   // DAC增益（对应目前网管功放增益微调1）

#define ORDER_CONFIG_PA_SWITCH 0x0303 // PA开关(对应目前网管的功放开关1)
#define ORDER_CONFIG_PA_GAIN 0x0304   // PA增益（对应目前网管功放增益1）

#define ORDER_CONFIG_RESET_PARAM 0x03FD // 重置参数
#define ORDER_CONFIG_RESTART 0x03FE // 重启设备
#define ORDER_CONFIG_SAVE_PARAM 0x03FF  // 保存参数

class MainDlg;
namespace Ui {
class OamConfigParam;
}

class OamConfigParam : public QDialog
{
    Q_OBJECT

public:
    explicit OamConfigParam(QWidget *parent = nullptr);
    ~OamConfigParam();

    void showParam(LTV_T *pstData);
    void updateUi();

private:
    Ui::OamConfigParam *ui;
    MainDlg *m_pMainDlg;//上级窗口指针
    int m_dwDeviceType;//设备类型，0：声波基站，1：同步基站

    void init();
    void initUi();
    void configSignalSlot();

    void selectAllItem();
    void selectAllNoItem();
    void clearAllItem();
    void switchBtnFlag(bool byFlag);

    void queryParam();
    void configParam();
    void uploadData();

public slots:
    void saveParamSlot();
    void restartSlot();
    void resetParamSlot();
signals:
    void SignalSendQueryMsg(quint8 *pbyData, quint16 wLen);
    void SignalSendConfigMsg(quint8 *pbyData, quint16 wLen,quint16 wCmd);
    void SignalUploadBtsBaseParamUpdate(QString strApi, QJsonObject jsonObject);//上传数据
};

#pragma pack(pop)
#endif // OAMCONFIGPARAM_H
