#ifndef OAMINSTALLPARAM_H
#define OAMINSTALLPARAM_H
#include <QDialog>
#include "pspublic.h"
#include "includes.h"

#pragma pack(push)
#pragma pack(1)

#define INSTALL_PAYLOAD_LEN 128

#define ORDER_INSTALL_BUILD_ID 0x0400
#define ORDER_INSTALL_LAYER_ID 0x0401
#define ORDER_INSTALL_LAYER_BLOCK_ID 0x0402
#define ORDER_INSTALL_LAYER_BLOCK_DESC 0x0403
#define ORDER_INSTALL_LOCATION_TYPE 0x0404
#define ORDER_INSTALL_LAYER_POSITION 0x0405
#define ORDER_INSTALL_LAYER_COORD_X 0x0406
#define ORDER_INSTALL_LAYER_COORD_Y 0x0407
#define ORDER_INSTALL_LAYER_COORD_Z 0x0408

class MainDlg;
namespace Ui {
class OamInstallParam;
}

class OamInstallParam : public QDialog
{
    Q_OBJECT

public:
    explicit OamInstallParam(QWidget *parent = nullptr);
    ~OamInstallParam();

    void showParam(LTV_T *pstData);
    void updateUi();
private:
    Ui::OamInstallParam *ui;
    MainDlg *m_pMainDlg;//上级窗口指针
    QString m_strProjectID;
    int m_dwDeviceType;//设备类型，0：声波基站，1：同步基站，2：同步中继

    void init();
    void initUi();
    void configSignalSlot();

    void selectAllItem();
    void selectAllNoItem();
    void clearAllItem();
    void switchBtnFlag(bool byFlag);

    void queryParam();
    void configParam();

    void uploadParam();
signals:
    void SignalSendQueryMsg(quint8 *pbyData, quint16 wLen);
    void SignalSendConfigMsg(quint8 *pbyData, quint16 wLen,quint16 wCmd);
    void SignalUploadBtsBaseParamUpdate(QString strApi, QJsonObject jsonObject);
};
#pragma pack(pop)
#endif // OAMINSTALLPARAM_H
