#ifndef OAMNETWORKPARAM_H
#define OAMNETWORKPARAM_H

#include <QDialog>
#include "pspublic.h"
#include "includes.h"

#pragma pack(push)
#pragma pack(1)

#define NETWORK_PAYLOAD_LEN 128

#define ORDER_NETWORK_WIFI_NAME 0X0101
#define ORDER_NETWORK_WIFI_PWD 0X0102
#define ORDER_NETWORK_SERVICE_IP 0X0103
#define ORDER_NETWORK_SERVICE_PORT 0X0104
#define ORDER_NETWORK_SWITCH 0X0105


class MainDlg;
namespace Ui {
class OamNetworkParam;
}

class OamNetworkParam : public QDialog
{
    Q_OBJECT

public:
    explicit OamNetworkParam(QWidget *parent = nullptr);
    ~OamNetworkParam();

    void showParam(LTV_T *pstData);

private:
    Ui::OamNetworkParam *ui;
    MainDlg *m_pMainDlg;

    void InitUi();
    void configSignalSlot();

    void selectAllItem();
    void selectAllNoItem();
    void clearAllItem();
    void switchBtnFlag(bool byFlag);

    void queryParam();
    void configParam();
    void uploadData();
signals:
    void SignalSendQueryMsg(quint8 *pbyData, quint16 wLen);
    void SignalSendConfigMsg(quint8 *pbyData, quint16 wLen,quint16 wCmd);
    void SignalUploadBtsBaseParamUpdate(QString strApi, QJsonObject jsonObject);//上传参数信号
};

#pragma pack(pop)
#endif // OAMNETWORKPARAM_H
