#ifndef OAMSYNCTIMER_H
#define OAMSYNCTIMER_H

#include <QDialog>
#include "pspublic.h"
#include "includes.h"

#define ORDER_SYNC_TIMER_CURRENT_TIME 0X0700
#define ORDER_SYNC_TIMER_SWITCH 0X0701
#define ORDER_SYNC_TIMER_NUM 0X0702
#define ORDER_SYNC_TIMER1_START 0X0703
#define ORDER_SYNC_TIMER1_STOP 0X0704
#define ORDER_SYNC_TIMER2_START 0X0705
#define ORDER_SYNC_TIMER2_STOP 0X0706

class MainDlg;

namespace Ui {
class oamsynctimer;
}

class oamsynctimer : public QDialog
{
    Q_OBJECT

public:
    explicit oamsynctimer(QWidget *parent = nullptr);
    ~oamsynctimer();

    void updateUi();
    void showParam(LTV_T *pstData);

private:
    Ui::oamsynctimer *ui;
    MainDlg *m_pMainDlg;
    int m_dwDeviceType;//设备类型，0：声波基站，1：同步基站

    void configSignalSlot();
    void init();
    void switchBtnFlag(bool byFlag);
    void selectAll(bool bFlag);
    void selectAllItem();
    void selectNoAllItem();
    void clearAllItem();

    void queryParam();
    void configParam();
    void uploadData();


signals:
    void SignalSendQueryMsg(quint8 *pbyData, quint16 wLen);
    void SignalSendConfigMsg(quint8 *pbyData, quint16 wLen,quint16 wCmd);
    void SignalUploadBtsBaseParamUpdate(QString strApi, QJsonObject jsonObject);//上传参数信号
};

#endif // OAMSYNCTIMER_H
