#ifndef UART_H
#define UART_H

#include <QObject>
#include <QSerialPort>

class MainDlg;
class Uart : public QObject
{
    Q_OBJECT
public:
    explicit Uart(QObject *parent = nullptr);
    ~Uart();

    quint8 GetUartNameList(QList<QString> *pstrUartNameList, quint8 *pbyLen);
    quint8 OpenUart(QString strUartName);
    void CloseUart();
    qint64 SendData(QByteArray dataList);

private:
    MainDlg *m_pMainDlg;
    QSerialPort *m_pSerialPort;

    void init();


signals:
    void SignalSendDataToMainDlg(QByteArray dataList, quint16 wLen);

public slots:
   void slotReceiveData();
};

#endif // UART_H
